/*
 模拟windows模态对话框。
*/
var HstWnd={
	$:function(d){return document.getElementById(d)},
	move:0,
	eventStartX:0,
	eventStartY:0,
	wndStartX:0,
	wndStartY:0,
	d:{a:'hstwnd',b:'hstwndtitle',c:'hstwndchild',d:'hstwndstatus',e:'hstwndiframe',g:'hstwndcanvas',w:'HstWnd'},
	e:null,
	x:function(){return HstWnd.e.clientX;},
	y:function(){return HstWnd.e.clientY;},
	drag_start:function(e){
		HstWnd.e=e;
		HstWnd.move=1;
		HstWnd.eventStartX=HstWnd.x();
		HstWnd.eventStartY=HstWnd.y();
		HstWnd.wndStartX=HstWnd.$(HstWnd.d.a).offsetLeft;
		HstWnd.wndStartY=HstWnd.$(HstWnd.d.a).offsetTop;
	},
	drag_stop:function(e){
		HstWnd.e=e;
		HstWnd.move=0;
	},
	drag:function(e){
		HstWnd.e=e;
		if(HstWnd.move){
			HstWnd.$(this.d.a).style.left=HstWnd.wndStartX+(HstWnd.x()-HstWnd.eventStartX)+'px';
			HstWnd.$(this.d.a).style.top=HstWnd.wndStartY+(HstWnd.y()-HstWnd.eventStartY)+'px';
			try{document.selection.empty();}catch(er){}
		}
	},
	close:function(){
		HstWnd.$(HstWnd.d.a).style.display='none';HstWnd.$(HstWnd.d.g).style.display='none';
		var a=document.body;a.removeChild(HstWnd.$(HstWnd.d.a));//a.removeChild(HstWnd.$(HstWnd.d.g));
	},
	onfocus:function(){
		HstWnd.flash(2);
	},
	flash:function(n){
		HstWnd.$(HstWnd.d.b).className='hstwndfocus';
		setTimeout(function(){HstWnd.$(HstWnd.d.b).className='hstwndtitle';},50);
		if(n>1){setTimeout(function(){HstWnd.flash(n-1);},100);}
	},
	open:function(){
		var de=document.documentElement;
		var w=window.innerWidth || self.innerWidth || (de&&de.clientWidth) || document.body.clientWidth;
		var ch=window.innerHeight || self.innerHeight || (de&&de.clientHeight) || document.body.clientHeight;
		if (self.pageYOffset) {
			var st=self.pageYOffset;
		} else if (de&&de.scrollTop){	 // Explorer 6 Strict
			var st=de.scrollTop;
		} else if (document.body) {// all other Explorers
			var st=document.body.scrollTop;
		}
		if (window.innerHeight && window.scrollMaxY) {	
			var sh=window.innerHeight + window.scrollMaxY;
		} else if (document.body.scrollHeight > document.body.offsetHeight){ // all but Explorer Mac
			var sh=document.body.scrollHeight;
		} else { // Explorer Mac...would also work in Explorer 6 Strict, Mozilla and Safari
			var sh=document.body.offsetHeight;
		}
		var a=arguments;
		HstWnd.title=a[0]||'信息窗口';
		HstWnd.para=a[1]+'&amp;Rnd='+Math.random();//网址或者要显示的内容
		HstWnd.width=616;
		HstWnd.height=438;
		HstWnd.type=null==a[4]?1:a[4];//1-框架,2-直接显示内容
		HstWnd.canvas=a[5]||{bgc:'',opa:0.1};
		HstWnd.left=a[6]||(w-HstWnd.width)/2+'px';
		HstWnd.top=a[7]||(ch-(HstWnd.height||200))/2+st+'px';
		var dc=document,s='';
		var o=dc.createElement("div");
		o.id=HstWnd.d.a;
		o.className='hstwnd';
		o.style.width=HstWnd.width+'px';
		o.style.height=HstWnd.height+'px';
		o.style.left=HstWnd.left;
		o.style.top=HstWnd.top;
		o.innerHTML='正在加载中...';
		s+='<div id="'+HstWnd.d.b+'" class="hstwndtitle">';
		s+='<span style="float:left;margin-top:0;line-height:33px;padding-left:10px;">'+HstWnd.title+'</span><span style="float:right"><a href="javascript:'+HstWnd.d.w+'.close();" class="close-btn"  style="z-index:9999;display:block;"></a></span>';
		s+='</div>';
		s+='<div id="'+HstWnd.d.c+'" class="hstwndchild">';
		s+=1==HstWnd.type?('<iframe id="'+HstWnd.d.e+'" scrolling="auto" name="'+HstWnd.d.e+'" src="about:blank"  style="width:612px !important;width:614px;height:'+(HstWnd.height-38)+'px;margin:0;padding:0;" frameborder="0" hspace="0"></iframe>'):'';
		//s+="cdmin<br /><br />";
		s+='</div>';
		o.innerHTML=s;
		dc.body.appendChild(o);
		var f=0;
		o=HstWnd.$(HstWnd.d.g);
		if(!o){f=1;o=dc.createElement("div");}
		o.id=HstWnd.d.g;
		o.className='hstwndcanvas';
		//o.style.height=(sh>ch?sh:ch)+'px';
		o.style.width=w+'px';
		s=HstWnd.canvas;
		//o.style.backgroundColor=s.bgc;
		//o.style.filter='alpha(opacity='+(s.opa*100)+')';
		o.style.display='block';
		if(f){o.onclick=function(){HstWnd.onfocus()};dc.body.appendChild(o)};
		if(1==HstWnd.type){HstWnd.$(HstWnd.d.e).src=HstWnd.para;}
	}
}